import { RuntimeStringField } from '@oinone/kunlun-engine';
import { FormFieldWidget } from '../../../../basic';
import { ValidatorInfo } from '../../../../typing';
export declare class FormStringMultiTagFieldWidget extends FormFieldWidget<string, RuntimeStringField> {
    initialize(props: any): this;
    private get limit();
    private get allowRepeat();
    private get unitValueLength();
    validator(): Promise<ValidatorInfo>;
    tagChange(value: any): void;
}
/**
 * @deprecated please using FormStringMultiTagFieldWidget
 */
export declare const FormStringFieldMultiWidget: typeof FormStringMultiTagFieldWidget;
